/*
Written by Mark de Vries, markadevries@gmail.com

Copyright (c), Aug 2005-Jan 2007, Dec 2012, The University Court of the University of
Edinburgh, Old College, Edinburgh, UK  

Copyright (c), Aug 2005-Oct 2006, Council for the Central Laboratory of the 
Research  Councils, Rutherford Appleton Laboratory, Chilton, Didcot, Oxfordshire, UK

*/
#include "banners.hpp"
#include <iostream>           

void show_title()
{
  std::cout<<"\n\
+------------------------------------------------------------+\n\
|   SSS  PPP  I N   N N   N EEEE RRR            222    00    |\n\
|  S     P  P I NN  N NN  N E    R  R              2  0  0   |\n\
|   SS   PPP  I N N N N N N EEE  RRR    V   V    22   0  0   |\n\
|     S  P    I N  NN N  NN E    R R     V V    2     0  0   |\n\
|  SSS   P    I N   N N   N EEEE R  R     V  o  2222   00    |\n\
+------------------------------------------------------------+\n\
\n\
Spinner was written by Mark de Vries, markadevries@gmail.com\n\
\n\
Copyright (c), Aug 2005-Jan 2007, Dec 2012, The University Court of the\n\ 
University of Edinburgh, Old College, Edinburgh, UK\n\
\n\
Copyright (c), Aug 2005-Oct 2006, Council for the Central\n\
Laboratory of the Research  Councils, Rutherford Appleton\n\
Laboratory, Chilton, Didcot, Oxfordshire, UK\n\
\n\
Spinner comes with ABSOLUTELY NO WARRANTY; for details type\n\ 
`Spinner -C'. This is free software, and you are welcome to\n\
redistribute it under certain conditions; type `spinner -C'\n\
for more details.\n\n";
}

void show_copyright()
{ 
  std::cout<<"\n\
  Spinner v. 1.0\n\
\n\
  A Monte Carlo program for the simulation of 'classical'\n\
  magnetic systems.\n\
\n\
  Spinner was written by Mark de Vries, markadevries@gmail.com\n\
\n\
  Copyright (c), Aug 2005-Jan 2007, Dec 2012, The University Court of the\n\
  University of Edinburgh, Old College, Edinburgh, UK\n\
\n\
  Copyright (c), Aug 2005-Oct 2006, Council for the Central\n\ 
  Laboratory of the Research  Councils, Rutherford Appleton Laboratory\n\
  Chilton, Didcot, Oxfordshire, UK\n\
\n\
  This program is free software; you can redistribute it and/or modify\n\
  it under the terms of the GNU General Public License as published by\n\
  the Free Software Foundation; either version 2 of the License, or\n\
  (at your option) any later version.\n\
\n\
  This program is distributed in the hope that it will be useful,\n\
  but WITHOUT ANY WARRANTY; without even the implied warranty of\n\
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the\n\
  GNU General Public License for more details.\n\
\n\
  You should have received a copy of the GNU General Public License\n\
  along with this program; if not, write to the Free Software\n\
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA\n\
\n";
}

void show_banner_lattice()
{
  std::cout<<"\n\
+-----------------------------------------------------------+\n\
|           L       A   TTTTT TTTTT  I  CCC  EEEE           |\n\
|           L      A A    T     T    I C     E              |\n\
|           L     A   A   T     T    I C     EEE            |\n\
|           L     AAAAA   T     T    I C     E              |\n\
|           LLLL  A   A   T     T    I  CCC  EEEE           |\n\
+-----------------------------------------------------------+\n";
}

void show_banner_simulation() 
{
  std::cout<<"\n\
+-----------------------------------------------------------+\n\
|       SSS  I M   M U   U L      A  TTTTT I  OO  N   N     |\n\
|      S     I MM MM U   U L     A A   T   I O  O NN  N     |\n\
|       SSS  I M M M U   U L    A   A  T   I O  O N N N     |\n\
|          S I M   M U   U L    AAAAA  T   I O  O N  NN     |\n\
|       SSS  I M   M  UUU  LLLL A   A  T   I  OO  N   N     |\n\
+-----------------------------------------------------------+\n";
}

void show_banner_run()
{
  std::cout<<"\n\
+-----------------------------------------------------------+\n\
|                     RRR  U   U N   N                      |\n\
|                     R  R U   U NN  N                      |\n\
|                     RRR  U   U N N N                      |\n\
|                     R R  U   U N  NN                      |\n\
|                     R  R  UUU  N   N                      |\n\
+-----------------------------------------------------------+\n";
}
